petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISSorted

Checks the indices to determine whether they have been sorted.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSorted(IS is,PetscBool  *flg)

Collective on IS Many br

### Input Parameter

is -the index set Many br

### Output Parameter

flg -output flag, either PETSC_TRUE if the index set is sorted, Many bror PETSC_FALSE otherwise. Many br

Notes: For parallel IS objects this only indicates if the local part of the IS Many bris sorted. So some processors may return PETSC_TRUE while others may Many brreturn PETSC_FALSE. Many br

Many br

### See Also

ISSort(), ISSortRemoveDups()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages